#ifndef TREE_WIDGE_TITEM_H
#define TREE_WIDGE_TITEM_H

#include <QTreeWidgetItem>


class VertexGroup;

class TreeWidgetItem : public QTreeWidgetItem
{
public:
	TreeWidgetItem() 
		: vertex_group_(nil)
	{
		//// for the index column, narrow the width
		//QSize hint = sizeHint(0);
		//setSizeHint(0, QSize(20, hint.height()));
	}

	~TreeWidgetItem() {}

	void set_vertex_group(VertexGroup* g) { vertex_group_ = g; }
	VertexGroup* vertex_group() { return vertex_group_; }

private:
	VertexGroup* vertex_group_;
};

#endif // TREE_WIDGE_TITEM_H
